Bug 1518411 - enable spice-vdagentd.socket by default
Summary: enable spice-vdagentd.socket by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-release
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1340160
TreeView+ depends on / blocked
 
Reported: 2017-11-28 20:47 UTC by Jonathon Jongsma
Modified: 2018-04-10 10:21 UTC (History)
6 users (show)

Fixed In Version: redhat-release-server-7.5-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:20:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:21:18 UTC

Description Jonathon Jongsma 2017-11-28 20:47:31 UTC
For RHEL 7.5, spice-vdagent slightly changed its systemd service configuration and added support for systemd socket activation. The service and socket are both only active if a specific virtio port device exists (i.e. it is running within a vm), so it can be safely enabled by default.

The unit that should be added is /lib/systemd/system/spice-vdagentd.socket

(reference Bug #876237 for the previous change where the .service file was added to the list of default enabled units)

Comment 1 Jan Synacek 2017-12-04 07:37:32 UTC
Such change should be done in the presets.

Comment 2 Lubos Kocman 2017-12-04 09:57:22 UTC
Develacking+ I'll need rest of acks guys. Setting target milestone to beta

Lubos

Comment 9 errata-xmlrpc 2018-04-10 10:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.